package uk.co.hcsoftware.yago;

import java.util.logging.Logger;
import java.util.List;


public class AmbiguousOptionNameException extends ParseException {
    public static final Logger log = Logger.getLogger(AmbiguousOptionNameException.class.getName());
    private String optionNameValue;
    private List<Option> matches;

    public AmbiguousOptionNameException(String optionNameValue, List<Option> matches) {
        this.optionNameValue = optionNameValue;
        this.matches = matches;
    }

    public String getFriendlyMessage() {
        StringBuilder sb = new StringBuilder();
        for(Option o:matches){
            if(sb.length()>0)sb.append(' ');
            sb.append(o.getName());
        }
        return "Option "+optionNameValue+" is ambiguous: could match any of "+sb;
    }
}
