package uk.co.hcsoftware.yago;

import java.util.logging.Logger;


public class Argument<V> {
    public static final Logger log = Logger.getLogger(Argument.class.getName());
    private boolean required;

    private boolean readCalled;
    public Argument(boolean required, ArgReader<V> argReader, String name, String description) {
        this.required = required;
        this.argReader = argReader;
        this.name = name;
        this.description = description;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }


    public boolean hasArgument(){
        return argReader!=null;
    };
    public void read(String argValue, int argIndex) throws InvalidArgException{
        readCalled=true;
        this.argValue=argReader.readArg(argValue);
    }

    public boolean wasFound() {
        return readCalled;
    }

    public boolean isRequired() {
        return required;
    }
    private ArgReader<V> argReader;
    private final String name;
    private final String description;
    private V argValue;
    public V getArgValue(){
        return argValue;
    }
}
