package uk.co.hcsoftware.yago;

import java.util.logging.Logger;


public class CollapsedOptionsWithArgumentException extends ParseException {
    public static final Logger log = Logger.getLogger(CollapsedOptionsWithArgumentException.class.getName());
    private Option o;
    private final String inputValue;

    public CollapsedOptionsWithArgumentException(Option o, String inputValue) {
        this.o = o;
        this.inputValue = inputValue;
    }

    public Option getOption() {
        return o;
    }

    public String getInputValue() {
        return inputValue;
    }

    public String getFriendlyMessage() {
        return "Option "+o.getArgName()+" takes an argument, so cannot be combined with other options like this: "+inputValue;
    }
}
