package uk.co.hcsoftware.yago;

import java.util.logging.Logger;


/**
 * Title: MissingArgException
 * Copyright:    Copyright (c) 23-Sep-2005
 * Company:      Barclays Capital
 *
 * @author spurlinn
 */
public class MissingArgException extends ParseException {
    public static final Logger log = Logger.getLogger(MissingArgException.class.getName());
    private final int index;
    private Argument argument;

    public MissingArgException(int index, Argument a) {
        this.index = index;
        this.argument = a;
    }

    public Argument getArgument() {
        return argument;
    }

    public String getFriendlyMessage() {
        return "Argument "+index+" is required but was not found";
    }

}
