package uk.co.hcsoftware.yago.demo;

import uk.co.hcsoftware.yago.ArgReader;
import uk.co.hcsoftware.yago.InvalidArgException;
import uk.co.hcsoftware.yago.Option;
import uk.co.hcsoftware.yago.parsers.GnuParser;


public class Custom {
    public static void main(String[] args) {
        new Custom(args);
    }

    enum Answer{
        yes,no,maybe;
    }
    Option<Answer> answer = new Option<Answer>("answer"
            ,true
            ,new ArgReader<Answer>() {
                public Answer readArg(String argValue) throws InvalidArgException {
                    if("y".equals(argValue)) return Answer.yes;
                    else if("n".equals(argValue)) return Answer.no;
                    else if("m".equals(argValue)) return Answer.maybe;
                    throw new InvalidArgException("answer must be one of y,n,m",argValue);
                }
            }
            ,"the answer value");


    public Custom(String[] argv) {
        new GnuParser(answer).parseOrDie(Custom.class.getName(),argv);

        Answer a = answer.getArgValue();
        if(Answer.yes==a) System.out.println("YES");
        if(Answer.no==a) System.out.println("NO");
        else System.out.println("MAYBE"); //must be maybe
        //note how the main programme is not cluttered with options parsing and validation.
        //That is all done in the declaration/setup code.
    }
}
