package uk.co.hcsoftware.yago.demo;

import uk.co.hcsoftware.yago.Option;
import uk.co.hcsoftware.yago.parsers.GnuParser;
import uk.co.hcsoftware.yago.util.DefaultArgReaders;


public class LsExample {
    public static void main(String[] args) {
        Option a = new Option("a",false,'a',"all",null,"do not hide entries starting with .");
        Option A = new Option("almostall",false,'A',"almost-all",null,"do not list implied . and ..");
        Option b = new Option("escape",false,'b',"escape",null,"print octal escapes for nongraphic characters");
        Option<Integer> blockSize = new Option<Integer>("block-size",false,DefaultArgReaders.createIntReader(),"use SIZE-byte blocks");
        blockSize.setArgName("SIZE");
        Option ignoreBackups = new Option("escape",false,'B',"ignore-backups",null,"do not list implied entries ending with ~");
        Option c = new Option("c",false,null,"with -lt: sort by, and show, ctime (time of last" +
                "                           modification of file status information)" +
                "                           with -l: show ctime and sort by name" +
                "                           otherwise: sort by ctime");
        Option C = new Option("C",false,null,"list entries by columns");
        Option help = new Option("help",false,'h',"help",null,"print this message");

        GnuParser gp=new GnuParser(a,A,b,blockSize,ignoreBackups,c,C,help);
        gp.parseOrDie("LsExample",args);
        if(help.isSet()){
            System.out.println(gp.getUsage("LsExample", null));
        }
        if(blockSize.isSet()){
            int i=blockSize.getArgValue(); //NOTE: no need to cast/parse/validate!
        }
    }
}
