package uk.co.hcsoftware.yago.parsers;

import uk.co.hcsoftware.yago.ParseException;
import uk.co.hcsoftware.yago.Option;

import java.util.logging.Logger;
import java.util.List;


public class IncompleteGroupException extends ParseException {
    public static final Logger log = Logger.getLogger(IncompleteGroupException.class.getName());
    private List<Option> expected;

    public IncompleteGroupException(List<Option> expected) {
        this.expected = expected;
    }

    public String getFriendlyMessage() {
        StringBuilder sb = new StringBuilder();
        for(Option o:expected){
            if(sb.length()>0) sb.append(",");
            sb.append(o.getName());
        }
        return "if one of "+sb+" is supplied, all must be supplied";
    }

}
