package uk.co.hcsoftware.yago.parsers;

import uk.co.hcsoftware.yago.ParseException;
import uk.co.hcsoftware.yago.Option;

import java.util.logging.Logger;
import java.util.List;


public class InvalidGroupException extends ParseException {
    public static final Logger log = Logger.getLogger(InvalidGroupException.class.getName());
    private final String reason;
    private List<Option> expected;

    public InvalidGroupException(String reason, List<Option> expected) {
        this.reason = reason;
        this.expected = expected;
    }

    public String getFriendlyMessage() {
        StringBuilder sb = new StringBuilder();
        for(Option o:expected){
            if(sb.length()>0) sb.append(",");
            sb.append(o.getName());
        }
        return reason+": "+sb;
    }

}
